unit com_funkce;

interface
uses windows;


Function OPENCOM(S:PCHAR):Integer;stdcall;
external 'port.dll'
Function READBYTE:Integer;stdcall;
external 'port.dll'
Function CTS:Integer;stdcall;
external 'port.dll'
Function DSR:Integer;stdcall;
external 'port.dll'
Function RI:Integer;stdcall;
external 'port.dll'
Function DCD:Integer;stdcall;
external 'port.dll'
Function TIMEREAD: DWORD;stdcall;
external 'port.dll'
Function TIMEREADUS: DWORD;stdcall;
external 'port.dll'


Procedure CLOSECOM();stdcall;
external 'port.dll'
Procedure SENDBYTE(d:WORD);stdcall;
external 'port.dll'
Procedure DTR(d:WORD);stdcall;
external 'port.dll'
Procedure RTS(d:WORD);stdcall;
external 'port.dll'
Procedure TXD(d:WORD);stdcall;
external 'port.dll'
Procedure DELAY(d:WORD);stdcall;
external 'port.dll'
Procedure TIMEINIT();stdcall;
external'port.dll'
Procedure DELAYUS(i:DWORD);stdcall;
external'port.dll'
Procedure REALTIME(d:BOOLEAN);stdcall;
external'port.dll'


implementation

end.
